SparkFun Qwiic 6DoF LSM6DSO Breakout Arduino Library
========================================

[![SparkFun Qwiic 6DoF LSM6DSO Breakout](https://cdn.sparkfun.com/assets/parts/1/7/2/4/2/18020-SparkFun_6_Degrees_of_Freedom_Breakout_-_LSM6DSO__Qwiic_-01.jpg)](https://www.sparkfun.com/products/18020)

[*SparkFun Qwiic 6DoF LSM6DSO Breakout  (SEN-18020)*](https://www.sparkfun.com/products/18020)

Arduino library support to control the SparkFun Qwiic 6DoF LSM6DSO. It can be configured to use I2C or SPI with 2 instances per I2C channel or any number of SPI instances.

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/extras** - Contains class diagrams for the driver.  Ignored by IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Example Briefs
--------------

* FifoExample - Demonstrates using the built-in buffer to burst-collect data - **Good demonstration of settings**
* InterruptFreeFall - Embedded function demonstrating free-fall detection
* InterruptHWTapConfig - Embedded function demonstrating tap and double-tap detection
* LowLevelExample - Demonstrates using only the core driver without math and settings overhead
* MemoryPagingExample - Demonstrates switching between memory pages
* MinimalistExample - The **easiest** configuration
* MultiI2C - Using two LSM6DSOs over I2C
* MultiSPI - Using two LSM6DSOs over SPI
* Pedometer - Embedded function demonstrating step-counting feature

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/SparkFun_Qwiic_6DoF_LSM6DSO)** - Main repository (including hardware files) for the LSM6DSO Breakout.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/1664)** - Basic hookup guide for the SparkFun Qwiic 6DoF LSM6DSO.

Products that use this Library 
---------------------------------

* [SEN-18020](https://www.sparkfun.com/products/18020)

Version History
---------------

* V 1.0.0

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact technical support on our [SparkFun forums](https://forum.sparkfun.com/viewforum.php?f=152).

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

